Bug 1009973 - Upgrade version of ruby193-rubygem-stomp
Upgrade version of ruby193-rubygem-stomp
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Adam Miller
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-19 11:43 EDT by Brenton Leanhardt
Modified: 2015-05-14 19:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-11 23:05:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brenton Leanhardt 2013-09-19 11:43:06 EDT
Description of problem:
As part of Bug #995498 and Bug #995492 we have upgraded the version of stomp that ships with OpenShift Enterprise as well as applied a patch to mcollective.

Fedora also included this patch in their MCollective build.

Additional Info:
General regression testing should be all that is needed from QE.
Comment 1 Brenton Leanhardt 2013-09-19 11:46:54 EDT
ruby193-rubygem-stomp-1.2.14-1.el6op is the version of stomp in the upcoming release of OSE 1.2.3.  The patch in question from Fedora is mcollective-rhbz#952970.patch in dist-git.
Comment 3 Dan McPherson 2013-11-04 14:53:09 EST
Adam, you working on this?
Comment 4 Adam Miller 2014-02-11 13:59:03 EST
Sorry, this completely fell off my radar. I updated the package for Online but it's causing the test_ami jenkins job to fail. I'll investigate further and find out who needs to be involved.
Comment 5 Adam Miller 2014-02-14 19:01:11 EST
Alright, got the patches we need in and the packages are now in the candidate repositories.
Comment 6 Meng Bo 2014-02-17 04:54:59 EST
Checked on devenv_4382, the package version is ruby193-rubygem-stomp-1.2.14-1.el6oso.noarch.

And no regression issue found.

Move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.